-- CREATION DATE: 12-10-2012 --
-- MODIFIED DATE: 18-10-2012 --
-- Vtg -- VludsTillerGifts
------------------------------------------------------------------------------------------------------

VtgPrefix = "|cffC0C0C0Tiller |cffFFA500"
VtgPrefixIngrediant = "|cffC0C0C0Ingrediant |cffFFA500"
VtgPrefixNPC = "|cffC0C0C0"

local Vrg_tItems = {
	["74642"] = { 1279 },	--Charbroiled Tiger Steak
	["74643"] = { 1273 },	--Sauteed Carrots
	["74644"] = { 1281 },	--Swirling Mist Soup
	["74645"] = { 1278 },	--Eternal Blossom Fish
	["74647"] = { 1277 },	--Valley Stir Fry
	["74649"] = { 1276 },	--Braised Turtle
	["74651"] = { 1275 },	--Shrimp Dumplings
	["74652"] = { 1280 },	--Fire Spirit Salmon
	["74654"] = { 1283 },	--Wildfowl Roast
	["74655"] = { 1282 },	--Twin Fish Platter

	["79264"] = { 1279, 1280 },	--Ruby Shard
	["79265"] = { 1277, 1276 },	--Blue Feather
	["79266"] = { 1275, 1282 },	--Jade Cat
	["79267"] = { 1273, 1278 },	--Lovely Apple
	["79268"] = { 1283, 1281 },	--Marsh Lily
}

local Vrg_tNPC = {
	[1277] = "Chee Chee",
	[1275] = "Ella",
	[1283] = "Farmer Fung",
	[1282] = "Fish Fellreed",
	[1281] = "Gina Mudclaw",
	[1279] = "Haohan Mudclaw",
	[1273] = "Jogu the Drunk",
	[1276] = "Old Hillpaw",
	[1278] = "Sho",
	[1280] = "Tina Mudclaw",
	[1358] = "Nat Pagle",
}

local Vrg_tIngrediant = {
	["74833"] = { 74642 },	--Raw Tiger Steak
	["74837"] = { 74649 },	--Raw Turtle Meat
	["74839"] = { 74647, 74654 },	--Wildfowl Breast
	["74841"] = { 74649, 74643 },	--Juicycrunch Carrot
	["74843"] = { 74652 },	--Scallions
	["74848"] = { 74645 },	--Striped Melon
	["74856"] = { 74644, 74645 },	--Jade Lungfish
	["74857"] = { 74651 },	--Giant Mantis Shrimp
	["74859"] = { 74652 },	--Emperor Salmon
	["74864"] = { 74647 },	--Reef Octopus
	["74865"] = { 74655 },	--Krasarang Paddlefish
}

------------------------------------------------------------------------------------------------------
-- OnTooltipSetItem
local function VtgOnTooltipSetItem(oTip, ...)
	local sName, sLink = oTip:GetItem()
	if sLink then
		local sItemId = sLink:match("item:(%d+)")
		if sItemId ~= nil then
			if Vrg_tIngrediant[sItemId] then
				for _, nFoodId in pairs(Vrg_tIngrediant[sItemId]) do
					local sFood = GetItemInfo(nFoodId)
					local nRepId = Vrg_tItems[""..nFoodId][1]
					_, nRep, nMaxRep, _, _, sReaction = GetFriendshipReputationByID(nRepId)
					oTip:AddLine(VtgPrefixIngrediant .. sFood .. " " .. VtgPrefix .. Vrg_tNPC[nRepId] .. " (" .. sReaction .. " " .. format("%i",((nRep*100)/nMaxRep)) .. "%)")
				end
			end
			if Vrg_tItems[sItemId] then
				for _, nRepId in pairs(Vrg_tItems[sItemId]) do
					_, nRep, nMaxRep, _, _, sReaction = GetFriendshipReputationByID(nRepId)
					oTip:AddLine(VtgPrefix .. Vrg_tNPC[nRepId] .. " (" .. sReaction .. " " .. format("%i",((nRep*100)/nMaxRep)) .. "%)")
				end
				oTip:Show()
			end
		end
	end
end

------------------------------------------------------------------------------------------------------
-- OnTooltipSetUnit
local function VtgTableFind(tTable, sTextToFind)
	for nInd, sText in pairs(tTable) do
		if sText == sTextToFind then
			return nInd
		end
	end
	return nil
end

local function VtgOnTooltipSetUnit(oTip, ...)
	local sName, iUnit = oTip:GetUnit()
	if iUnit then
		local nInd = VtgTableFind(Vrg_tNPC, sName)
		if nInd then
			_, nRep, nMaxRep, _, _, sReaction = GetFriendshipReputationByID(Vrg_tNPCRepIDs[nInd])
			oTip:AddLine(VtgPrefixNPC .. sReaction .. " " .. format("%i",((nRep*100)/nMaxRep)) .. "%")
			oTip:Show()
		end
	end
end

------------------------------------------------------------------------------------------------------
function VtgList()
	for nRepId, sName in pairs(Vrg_tNPC) do
		_, nRep, nMaxRep, _, _, sReaction = GetFriendshipReputationByID(nRepId)
		print(sName .. " " .. sReaction .. " " .. format("%i",((nRep*100)/nMaxRep)) .. "%" )
	end
end

------------------------------------------------------------------------------------------------------
-- Initialise
local function VtgInitialise()
	GameTooltip:HookScript("OnTooltipSetItem", VtgOnTooltipSetItem)
	ItemRefTooltip:HookScript("OnTooltipSetItem", VtgOnTooltipSetItem)
	ShoppingTooltip1:HookScript("OnTooltipSetItem", VtgOnTooltipSetItem)
	ShoppingTooltip2:HookScript("OnTooltipSetItem", VtgOnTooltipSetItem)
	ShoppingTooltip3:HookScript("OnTooltipSetItem", VtgOnTooltipSetItem)
	GameTooltip:HookScript("OnTooltipSetUnit", VtgOnTooltipSetUnit)
end

-- Run Init
VtgInitialise()

------------------------------------------------------------------------------------------------------
